org.appng.persistence.hibernate.dialect

## Class MySql8DialectUTF8

- java.lang.Object
- - org.hibernate.dialect.Dialect
  - - org.hibernate.dialect.MySQLDialect
    - - org.hibernate.dialect.MySQL5Dialect
      - - org.hibernate.dialect.MySQL55Dialect
        - - org.hibernate.dialect.MySQL57Dialect
          - - org.hibernate.dialect.MySQL8Dialect
            - - org.appng.persistence.hibernate.dialect.MySql8DialectUTF8

- All Implemented Interfaces:
    org.hibernate.exception.spi.ConversionContext

      public class MySql8DialectUTF8
      extends org.hibernate.dialect.MySQL8Dialect

  A `MySQL8Dialect` which converts varchar-fields (`Types.VARCHAR`) with
  - a length of <=1000 to type `varchar`
  - a length of <=16383 to type `text`
  - a length of <=4194303 to type `mediumtext`
  - a length of >4194303 to type `longtext`
  These values assume utf8mb4 character encoding, where each character consumes up to 4 bytes.
  Author:
    Matthias Müller

- - ### Field Summary

    - ### Fields inherited from class org.hibernate.dialect.MySQLDialect

      `ESCAPE_PATTERN_REPLACEMENT`

    - ### Fields inherited from class org.hibernate.dialect.Dialect

      `CLOSED_QUOTE, DEFAULT_BATCH_SIZE, LEGACY_LOB_MERGE_STRATEGY, NEW_LOCATOR_LOB_MERGE_STRATEGY, NO_BATCH, QUOTE, STANDARD_DEFAULT_BATCH_LOAD_SIZING_STRATEGY, STREAM_XFER_LOB_MERGE_STRATEGY, TWO_SINGLE_QUOTES_REPLACEMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MySql8DialectUTF8()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `registerVarcharTypes()`

    - ### Methods inherited from class org.hibernate.dialect.MySQL8Dialect

      `getForUpdateNowaitString, getForUpdateNowaitString, getForUpdateSkipLockedString, getForUpdateSkipLockedString, getForUpdateString, getReadLockString, getReadLockString, getWriteLockString, getWriteLockString, supportsNoWait, supportsSkipLocked`

    - ### Methods inherited from class org.hibernate.dialect.MySQL57Dialect

      `supportsRowValueConstructorSyntaxInInList`

    - ### Methods inherited from class org.hibernate.dialect.MySQL55Dialect

      `getDefaultMySQLStorageEngine`

    - ### Methods inherited from class org.hibernate.dialect.MySQL5Dialect

      `getEngineKeyword, getQueryHintString, getViolatedConstraintNameExtracter, supportsColumnCheck, supportsUnionAll`

    - ### Methods inherited from class org.hibernate.dialect.MySQLDialect

      `areStringComparisonsCaseInsensitive, buildSQLExceptionConversionDelegate, canCreateCatalog, canCreateSchema, closeQuote, dropConstraints, escapeLiteral, fixedPointNumberCastTarget, floatingPointNumberCastTarget, getAddColumnString, getAddForeignKeyConstraintString, getCastTypeName, getColumnComment, getCreateCatalogCommand, getCreateSchemaCommand, getCurrentTimestampSelectString, getDefaultMultiTableBulkIdStrategy, getDropCatalogCommand, getDropForeignKeyString, getDropSchemaCommand, getForUpdateString, getIdentityColumnSupport, getLimitHandler, getLimitString, getNotExpression, getResultSet, getSelectGUIDString, getTableComment, getTableTypeString, getUniqueDelegate, hasSelfReferentialForeignKeyBug, isCurrentTimestampSelectStringCallable, isJdbcLogWarningsEnabledByDefault, openQuote, qualifyIndexName, registerResultSetOutParameter, renderOrderByElement, smallIntegerCastTarget, supportsCascadeDelete, supportsCurrentTimestampSelection, supportsEmptyInList, supportsIfExistsBeforeTableName, supportsLimit, supportsLobValueChangePropogation, supportsLockTimeouts, supportsRowValueConstructorSyntax, supportsRowValueConstructorSyntaxInSet, supportsSelectAliasInGroupByClause, supportsSubqueryOnMutatingTable`

    - ### Methods inherited from class org.hibernate.dialect.Dialect

      `addSqlHintOrComment, appendLockHint, appendLockHint, applyLocksToSql, augmentRecognizedTableTypes, bindLimitParametersFirst, bindLimitParametersInReverseOrder, buildIdentifierHelper, buildSQLExceptionConverter, cast, cast, cast, contributeTypes, convertToFirstRowValue, createCaseFragment, createOuterJoinFragment, defaultScrollMode, doesReadCommittedCauseWritersToBlockReaders, doesRepeatableReadCauseReadersToBlockWriters, equivalentTypes, escapeComment, forceLimitUsage, forceLobAsLastValue, forUpdateOfColumns, getAddColumnSuffixString, getAddForeignKeyConstraintString, getAddPrimaryKeyConstraintString, getAddUniqueConstraintString, getAlterTableString, getAuxiliaryDatabaseObjectExporter, getCallableStatementSupport, getCascadeConstraintsString, getCaseInsensitiveLike, getColumnAliasExtractor, getCreateMultisetTableString, getCreateSequenceString, getCreateSequenceString, getCreateSequenceStrings, getCreateSequenceStrings, getCreateTableString, getCreateTemporaryTableColumnAnnotation, getCrossJoinSeparator, getCurrentSchemaCommand, getCurrentTimestampSQLFunctionName, getDefaultBatchLoadSizingStrategy, getDefaultProperties, getDialect, getDialect, getDropSequenceString, getDropSequenceStrings, getDropTableString, getForeignKeyExporter, getForUpdateString, getForUpdateString, getForUpdateString, getFunctions, getHibernateTypeName, getHibernateTypeName, getIndexExporter, getInExpressionCountLimit, getKeywords, getLimitString, getLobMergeStrategy, getLockingStrategy, getLowercaseFunction, getMaxAliasLength, getNameQualifierSupport, getNativeIdentifierGeneratorClass, getNativeIdentifierGeneratorStrategy, getNoColumnsInsertString, getNullColumnString, getQueryHintString, getQuerySequencesString, getResultSet, getResultSet, getSchemaNameResolver, getSelectClauseNullString, getSelectSequenceNextValString, getSequenceExporter, getSequenceInformationExtractor, getSequenceNextValString, getSqlTypeDescriptorOverride, getTableExporter, getTypeName, getTypeName, getUniqueKeyExporter, hasAlterTable, inlineLiteral, isLegacyLimitHandlerBehaviorEnabled, isLockTimeoutParameterized, isTypeNameRegistered, prependComment, quote, registerColumnType, registerColumnType, registerFunction, registerHibernateType, registerHibernateType, registerKeyword, registerResultSetOutParameter, remapSqlTypeDescriptor, replaceResultVariableInOrderByClauseWithPosition, requiresCastingOfParametersInSelectClause, requiresParensForTupleDistinctCounts, supportsBindAsCallableArgument, supportsCaseInsensitiveLike, supportsCircularCascadeDeleteConstraints, supportsCommentOn, supportsExistsInSelect, supportsExpectedLobUsagePattern, supportsIfExistsAfterAlterTable, supportsIfExistsAfterConstraintName, supportsIfExistsAfterTableName, supportsIfExistsBeforeConstraintName, supportsJdbcConnectionLobCreation, supportsLimitOffset, supportsNamedParameters, supportsNationalizedTypes, supportsNoColumnsInsert, supportsNonQueryWithCTE, supportsNotNullUnique, supportsOuterJoinForUpdate, supportsParametersInInsertSelect, supportsPartitionBy, supportsPooledSequences, supportsResultSetPositionQueryMethodsOnForwardOnlyCursor, supportsSequences, supportsSubselectAsInPredicateLHS, supportsTableCheck, supportsTupleCounts, supportsTupleDistinctCounts, supportsTuplesInSubqueries, supportsUnboundedLobLocatorMaterialization, supportsUnique, supportsUniqueConstraintInCreateAlterTable, supportsValuesList, supportsVariableLimit, toBooleanValueString, toString, transformSelectString, useFollowOnLocking, useFollowOnLocking, useInputStreamToInsertBlob, useMaxForLimit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MySql8DialectUTF8

          public MySql8DialectUTF8()

  - ### Method Detail

    - #### registerVarcharTypes

          protected void registerVarcharTypes()

      Overrides:
        `registerVarcharTypes` in class `org.hibernate.dialect.MySQL5Dialect`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.